@echo off

if [%1]==[] goto Usage
if [%2]==[] goto Usage
if [%3]==[] goto Usage
if [%4]==[] goto Usage
if [%5]==[] goto Usage
if [%6]==[] goto Usage

REM ###################################################################
REM #
REM #  Odin TeleSystems Inc.
REM #
REM #  Run self test diagnostics on Thor-2 Rev. 1.0 boards
REM #
REN #  NOTE: The Line Interfaces need to be looped with a Li Loop Cable
REM #
REM ###################################################################

t2boot A=DIAG IBA=%1 IRQ=%2 MO=%3 MS=%4 IO=%5 IS=%6 mem=yes verbose=yes
goto END

:USAGE
echo Usage:
echo 
echo BRDDIAG [IO_BASE_ADDR] [IRQ MEM_WIN_OFFSET] [MEM_WIN_SIZE] [IO_WIN_OFFSET] [IO_WIN_SIZE]
echo 
echo where
echo  IO_BASE_ADDR   is the I/O Address set with dip switch on the
echo                 Thor-2 board: (E.g. 0x280)
echo  IRQ            Free interrupt reserved for Thor-2 (E.g. 5)
echo  MEM_WIN_OFFSET is the offset of the upper memory area reserved for Thor-2 and
echo                 for Thor-2 and excluded from other applications: (E.g. 0xD0000)
echo  MEM_WIN_SIZE   is the size of the memory window (E.g. 0x2000)
echo  IO_WIN_OFFSET  is the I/O area offset reserved for Thor-2
echo                 indirect I/O (E.g. 0x290)
echo  IO_WIN_SIZE    is the size of the I/O window (E.g. 0x10)
echo 
echo  Typical parameter values:
echo    BRDDIAG 0x280 5 0xD0000 0x2000 0x290 0x10
echo 

:END
