@echo off

if [%1]==[] goto Usage
if [%2]==[] goto Usage
if [%3]==[] goto Usage
if [%4]==[] goto Usage
if [%5]==[] goto Usage

REM ###################################################################
REM #
REM #  Odin TeleSystems Inc.
REM #
REM #  Initialize the Flash for Thor-2 Rev. 1.0 boards
REM #
REM ###################################################################


REM ------------------------------------------------
Echo Configure the FPGAs (if not yest loaded
REM ------------------------------------------------
t2maint BATCH=YES IBA=%1 IO=%2 MO=%3 LOAD=FPGA LOG=T2MAINT.LOG
if errorlevel 1 GOTO ERROR


Echo Load the LPU Bootstrap into the Flash ...

REM ------------------------------------------------
Echo   Float the LPU ...
REM ------------------------------------------------
t2maint BATCH=YES IBA=%1 IO=%2 MO=%3 FLOAT=LPU LOG=T2MAINT.LOG
if errorlevel 1 GOTO ERROR


REM ------------------------------------------------
Echo   Erase the entire flash and load the LPU Bootstrap ...
REM ------------------------------------------------
t2maint BATCH=YES IBA=%1 IO=%2 MO=%3 ERASE=ALL BOOTSTRAP=lpuboot.bin VERBOSE=YES LOG=T2MAINT.LOG
if errorlevel 1 GOTO ERROR


REM ------------------------------------------------
Echo   Write the maintenance data
REM ------------------------------------------------
t2maint BATCH=YES DEF=YES VERBOSE=YES IBA=%1 IO=%2 MO=%3 MUN=0x80000 BAR=%4 CLK=%5 LOG=T2MAINT.LOG
if errorlevel 1 GOTO ERROR


REM ------------------------------------------------
Echo   Load standard configuration
REM ------------------------------------------------
t2config IBA=%1 IO=%2 MO=%3 CFG=t2.cfg
if errorlevel 1 GOTO ERROR

echo 
echo 
echo The Flash memory on the Thor-2 board HAS BEEN SUCCESSFULLY INITIALZED!
echo Power-off the PC and run T2BOOT, and the Thor-2 board is ready for use.
echo run BRDDIAG.BAT to test the board!
GOTO END

:USAGE
echo Usage:
echo 
echo INIFLASH  [IO_BASE_ADDR] [IO_WIN_OFFSET] [MEM_WIN_OFFSET] [BAR_REV] [COMCLK]
echo 
echo where
echo  IO_BASE_ADDR   is the I/O Address set with dip switch on the
echo                 Thor-2 board: (E.g. 0x280)
echo  IO_WIN_OFFSET  is the I/O area offset reserved for Thor-2
echo                 indirect I/O (E.g. 0x290)
echo  MEM_WIN_OFFSET is the offset of the upper memory area reserved for Thor-2 and
echo                 for Thor-2 and excluded from other applications: (E.g. 0xD0000)
echo  BAR_REV   is the Revision of the Bus Arbiter chip U33 (FMA-1006)
echo            typically 1.8
echo  COMCLK    is either YES or NO.
echo            Use NO if the board is of revision 1.0 and it does not have a green
echo            airwire on the back side of the board (under the 386 Processor).
echo            Use YES otherwise (always YES for board revisions 1.1 and 1.2).
echo 
echo Note:
echo If the board is of revision 1.0 and the chip does not have a label on U33 use revision 1.2
echo If the board is of revision 1.1 or 1.2 use revision 2.0
echo 
echo  Typical parameter values:
echo    INIFLASH 0x280 0x290 0xD0000 1.8 YES
echo 
goto END

:ERROR
echo ERRORS HAVE OCCURED! See the Above messages.
echo THE BOARD FAILED THE TEST!

:END
